CDCD(1)

NAME
cdcd - Command Driven CD player

SYNOPSIS
cdcd [OPTION]... [COMMAND]

DESCRIPTION
cdcd allows control of a CD player either directly off of the command line or in its own interactive query mode. Invoking cdcd without a command will cause cdcd to enter query mode. Invoking cdcd with a command will cause cdcd to execute that command and then terminate when it is finished.

OPTIONS

--device DEVICE

-d DEVICE
    Use DEVICE as the CD device. DEVICE is the device special file name of the CD-ROM device. Do not use a Linux SCSI Generic device.

USAGE
The following are the supported commands:

play [start track] [end track] [min:sec]
    If start track is specified, play will play the specified track instead of the first track. If end track is specified, the disc will be played from the start track to the end track. start track and end track may either be part of or an entire track title. If a starting position is specified (in the form min:sec), then the disc will begin playing the specified amount of time into the specified track. One may specify a starting position without specifying a start track or only specify a start track and starting position while specifying no end track

stop
    This will stop the CD if it is playing.

open, eject
    This will eject the CD-ROM tray

close
    This will close the CD-ROM tray

pause
    This will pause the CD if it is playing

resume
    This will cause a paused CD to resume playing

ff [min:sec]
    This will fast-forward the CD 15 seconds by default, or the specified amount of time

rew [min:sec]
    This will rewind the CD 15 seconds by default, or the specified amount of time

next
    This will advance the CD one track

prev
    This will return the CD to the previous track

getvol
    This will return the current volume settings

setvol [left front] [right front] [left rear] [right rear]
    Sets the CD-ROM volume to the given settings. Most CD players only support the front two channels

status
    Gives only numerical data regarding the CD's status

info
    Gives disc name, artist, current track name, and disc positions

tracks
    Lists all tracks on the CD and their lengths

rndplay
    Plays a random track

list
    Lists all CDs in a CD-ROM changer

slot
    Changes the current CD in the CD-ROM changer

edit [name, artist, genre, track no.] [value]
    Edits information about the disc. You may specify name, artist, genre, or the number of the track you wish to edit

ext [track no., disc]
    This will display extended information about the disc. If no parameter is given it will display information about the current track. Specifying disc will display information for the disc itself

refresh
    This will connect to a server and retrieve information about the CD even if there already exists information about it. Otherwise, this is done automatically by any command that uses disc/track names

device [device name]
    This sets the CD-ROM device cdcd will use in future invocations which don't specify the -d option. cdcd stores this information in your .cdcdrc file.

verbose [on, off]
    This toggles whether cdcd will display everything that is happening (e.g. when accessing a CDDB or CD Index server)

quit
    Exits cdcd

sites [refresh, display, add, delete, move]
    This edits the server list. More specific help on each of the commands is available by typing cdcd help sites

submit [e-mail address]
    This will submit a CDDB entry to a CDDB server

access [local, remote, proxy]
    Specifying local will cause CD information requests to return Unknown for track, artist, and album titles, and will not attempt to connect to any servers. remote will cause cdcd to connect to a server whenever any CD information is required. If you need to use a HTTP proxy, it may be specified in the form proxy url, where url is the URL for your HTTP proxy

COMPLETION
cdcd uses traditional readline command and trackname completion. To complete a command, simply hit 'tab' when you have typed a partially completed command. To complete a trackname, first type whatever command you wish to pass a track name to (e.g. play, ext) and then begin with a double quotation mark. Type the beginning of the track name and then hit tab. The track name will be completed for you.

    cdcd> pl<tab>
    cdcd> play "See<tab>
    cdcd> play "See You On The Other Side"

REPORTING BUGS
Report bugs to <noon@users.sourceforge.net>